Loading...
Searching...
No Matches
Opm::Properties::Indices< TypeTag, TTag::BlackOilModel > Struct Template Reference

The indices required by the model. More...

`#include <blackoilmodel.hh>`

## Public Types

using | type

## Detailed Description

template<class TypeTag>
struct Opm::Properties::Indices< TypeTag, TTag::BlackOilModel >

The indices required by the model.

## Member Typedef Documentation

## type

template<class TypeTag>

using Opm::Properties::Indices< TypeTag, TTag::BlackOilModel >::type

Initial value:
BlackOilVariableAndEquationIndices<getPropValue<TypeTag, Properties::EnableSolvent>(),
getPropValue<TypeTag, Properties::EnableExtbo>(),
getPropValue<TypeTag, Properties::EnablePolymer>(),
getPropValue<TypeTag, Properties::EnableEnergy>(),
getPropValue<TypeTag, Properties::EnableFoam>(),
getPropValue<TypeTag, Properties::EnableBrine>(),
0,
getPropValue<TypeTag, Properties::EnableBioeffects>()>
Opm::getPropValue
constexpr auto getPropValue()
get the value data member of a property
Definition propertysystem.hh:240
Opm::BlackOilVariableAndEquationIndices
The primary variable and equation indices for the three-phase black-oil model.
Definition blackoilvariableandequationindices.hh:47

The documentation for this struct was generated from the following file:

- opm/models/blackoil/blackoilmodel.hh